### Struct

# Gio UnixMountPoint

since: 2.0

#### Description

    struct GUnixMountPoint {
      /* No available fields */
    }

Defines a Unix mount point (e.g. /dev). This corresponds roughly to a fstab entry.

Available since: 2.0

#### Functions

###### g_unix_mount_point_at

Gets a `GUnixMountPoint` for a given mount path. If `time_read` is set, it will be filled with a unix timestamp for checking if the mount points have changed since with g_unix_mount_points_changed_since().

since: 2.66

#### Instance methods

###### g_unix_mount_point_compare

Compares two unix mount points.

since: 2.0

###### g_unix_mount_point_copy

Makes a copy of `mount_point`.

since: 2.54

###### g_unix_mount_point_free

Frees a unix mount point.

since: 2.0

###### g_unix_mount_point_get_device_path

Gets the device path for a unix mount point.

since: 2.0

###### g_unix_mount_point_get_fs_type

Gets the file system type for the mount point.

since: 2.0

###### g_unix_mount_point_get_mount_path

Gets the mount path for a unix mount point.

since: 2.0

###### g_unix_mount_point_get_options

Gets the options for the mount point.

since: 2.32

###### g_unix_mount_point_guess_can_eject

Guesses whether a Unix mount point can be ejected.

since: 2.0

###### g_unix_mount_point_guess_icon

Guesses the icon of a Unix mount point.

since: 2.0

###### g_unix_mount_point_guess_name

Guesses the name of a Unix mount point. The result is a translated string.

since: 2.0

###### g_unix_mount_point_guess_symbolic_icon

Guesses the symbolic icon of a Unix mount point.

since: 2.34

###### g_unix_mount_point_is_loopback

Checks if a unix mount point is a loopback device.

since: 2.0

###### g_unix_mount_point_is_readonly

Checks if a unix mount point is read only.

since: 2.0

###### g_unix_mount_point_is_user_mountable

Checks if a unix mount point is mountable by the user.

since: 2.0